Archived Version: v2026.02
You are viewing an archived reference version.
Get all registered mic devices
/api/v1/micsAPI to retrieve a list of registered microphone devices. The result is paginated based on the provided query parameters. Refer to the Mic Device Object for more details.
Each microphone has its own threshold values. Refer to Event Categories for more details.
Access Token is required via Bearer token authentication.
Refer to the Authentication section for more details.
110(must be > 0 and < 101)nullnull{
"page": 1,
"size": 10,
"total_cnt": 100,
"max_page": 10,
"results": [
{
"id": "string",
"name": "string",
"host": "string",
"edge_id": "string",
"status": "enum(active | inactive)",
"thresholds": {
"breathing_heavily": {
"sound_level_ge": 65,
"confidence": 0.8
},
"[event_category]": {
"sound_level_ge": 65,
"confidence": 0.8
}
},
"location": {
"latitude": -90,
"longitude": -180
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics?page=1&size=10', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics?name=mic1&edge_id=edge123&page=1&size=10', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();